' The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

''' <summary>
''' An empty page that can be used on its own or navigated to within a Frame.
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    'Deklarace promennych pro ukazky datovych typu
    Dim ptaci As Short
    Dim hmyz As Integer
    Dim svetovaPop As Long
    Dim cena As Single
    Dim pi As Double
    Dim dluh As Decimal
    Dim navratovaKlavesa As Byte
    Dim znakUnicode As Char
    Dim pes As String
    Dim navesti As Boolean
    Dim datumNarozeni As Date

    Private Sub DataTypeListBox_SelectionChanged(sender As Object, e As SelectionChangedEventArgs) Handles DataTypeListBox.SelectionChanged
        'Zpracovani vyberu, ktery uzivatel provedl v seznamu
        Select Case DataTypeListBox.SelectedIndex
            Case 0
                ptaci = 12500
                SampleTextBox.Text = ptaci
                'SampleTextBox.Text = String.Format("{0:# ##0}", ptaci)
            Case 1
                hmyz = 37500000
                SampleTextBox.Text = hmyz
            Case 2
                svetovaPop = 7100000000
                SampleTextBox.Text = svetovaPop
            Case 3
                cena = 899.99
                SampleTextBox.Text = cena
            Case 4
                pi = 3.1415926535
                SampleTextBox.Text = pi
            Case 5
                dluh = 7600300.5D
                SampleTextBox.Text = dluh
            Case 6
                navratovaKlavesa = 13
                SampleTextBox.Text = navratovaKlavesa
            Case 7
                znakUnicode = "Ä"c
                SampleTextBox.Text = znakUnicode
            Case 8
                pes = "pointer"
                SampleTextBox.Text = pes
            Case 9
                navesti = True
                SampleTextBox.Text = navesti
            Case 10
                datumNarozeni = #11/19/1985#
                SampleTextBox.Text = datumNarozeni
        End Select
    End Sub

End Class
